summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2016-12-21 21:09:59 -0500
committerTavian Barnes <tavianator@tavianator.com>2016-12-21 21:17:01 -0500
commitafb63a82ae165b6630a35ab5945973358c8119b6 (patch)
tree14321d0553a9797ed34acd1e1b156678f5bb59cd /tests.sh
parente5af47a6eac34dbf380949b9dad5ed8373d10d37 (diff)
downloadbfs-afb63a82ae165b6630a35ab5945973358c8119b6.tar.xz
Set _FILE_OFFSET_BITS to 64
With the new support for -size n[TP], this is needed to avoid overflow on 32-bit platforms.
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 3e936e0..3729133 100755
--- a/tests.sh
+++ b/tests.sh
@@ -755,9 +755,14 @@ function test_0121() {
bfs_diff -H times -mnewer times/l
}
+function test_0122() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -type f -size 1T
+}
+
result=0
-for i in {1..121}; do
+for i in {1..122}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then